﻿/**
 * Main configuration file (hereinafter - the configuration).
 *
 * Attention! You must NOT use the percent symbol in configuration files.
 * Instead, the percent symbol should be written: \u0025
 * Use \n as newline character instead of <br> tag
 *
 */
{
	"configVersion": "6.2.0",												// Version of the config. Do not remove or change it unnecessarily.
	"consts": { "VM_COEFF_VMM_DEAD": 0.75 },
	"autoReloadConfig": false,												// automatically reload config. Can reduce performance.
	"language": "auto",														// Translation - Set "auto" to detect language from game client, or specify file name located in res_mods/xvm/l10n/ (ex: "en")
	"region": "auto",														// Game Region - "auto" - automatically detect game region from game client, or specify one of: "RU", "EU", "US", "SEA", "VTC", "KR"
	"definition": {															// Common config options. All settings information in the mod not being used.
		"author": "Grumpelumpf",											// Config author.
		"description": "OMC ModPack 01-01-2016",							// Config description.
		"url": "http://odemmortis.com/",									// Address to config updates.
		"date": "01.01.2016",												// Config last modified.
		"gameVersion": "0.9.13",											// Supported version of the game.
		"modMinVersion": "6.2.0"											// The minimum required version of the XVM mod.
	},
	"expertPanel": ${"battle.xc":"expertPanel"},							// Ingame crits panel by "expert" skill.
	"fragCorrelation": ${"battle.xc":"fragCorrelation"},					// Frag counter panel.
	"minimap": ${"minimap.xc":"minimap"},									// Minimap.
	// "minimapAlt": ${"minimapAlt.xc":"minimap"},								// MinimapAlt. 
	"markers": ${"markers.xc":"markers"},									// Over-target markers.
	"alpha": ${"alpha.xc":"alpha"},											// Options for dynamic transparency.
	"battle": ${"battle.xc":"battle"},										// General parameters for the battle interface.
	"battleLoading": ${"battleLoading.xc":"battleLoading"},					// Parameters of the Battle Loading screen.
	"battleLoadingTips": ${"battleLoadingTips.xc":"battleLoadingTips"},		// Parameters for the alternative view of the Battle Loading screen.
	"battleResults": ${"battleResults.xc":"battleResults"},					// Parameters of the After Battle Screen.
	"captureBar": ${"captureBar.xc":"captureBar"},							// Capture bar.
	"colors": ${"colors.xc":"colors"},										// Color settings.
	"hangar": ${"hangar.xc":"hangar"},										// Parameters for hangar.
	"hitLog": { "visible": true, "hpLeft": { "enabled": true, "header": "<textformat align='right' leading='1'><img src='img://gui/maps/icons/library/BattleResultIcon-1.png' width='16' height='16' align='baseline' vspace='-3'><font face='$UniversCondC' size='16' color='#99ff99'><b>{{l10n:hpLeftTitle}}</b></font></textformat>", "format": "<textformat align='right' leading='-4' tabstops='[110,150]'><font face='xvm' size='17' color='#ffffff'>{{vtype}}</font><font face='$UniversCondC' size='15' color='#ffffff'>  {{vehicle}}</font><tab><font face='$UniversCondC' size='15' color='#ffcc66'><b>{{hp}}</b></font><tab>(<font face='$UniversCondC' size='15' color='#cccccc'>{{hp-ratio}}&#37;</font>)</textformat>" }, "x": 330, "y": 4, "w": 600, "h": 400, "lines": 15, "direction": "down", "groupHitsByPlayer": true, "insertOrder": "begin", "deadMarker": "<b><font face='xvm' color='#00FF00'><b>&#66;</b></font>", "blowupMarker": "<font face='xvm' color='#FF0000'><b>&#44;</b></font>", "defaultHeader": "<textformat align='right' leading='3'><img src='img://gui/maps/icons/library/BattleResultIcon-1.png' width='16' height='16' align='baseline' vspace='-3'><font face='$UniversCondC' size='16' color='#99ff99'><b>Damage done:</b></font></textformat>", "formatHeader": "<textformat align='right' leading='1'><img src='img://gui/maps/icons/library/BattleResultIcon-1.png' width='16' height='16' align='baseline' vspace='-3'><font face='$UniversCondC' size='16' color='#99ff99'><b>Damage done:</b></font> <b><font face='$UniversCondC' size='16' color='#ffffff'><b>{{dmg-total}}</b></font><font face='$UniversCondC' color='#cccccc' size='13'> hp</font> <font face='$UniversCondC' size='15' color='#cccccc'> (hits: <b>{{n}}</b>)</font></textformat>", "formatHistory": "<textformat align='right' leading='-4' tabstops='[50,105]'><font face='$UniversCondC' size='14' color='#999999'>(</font><font face='$UniversCondC' size='14' color='#ffffff'>{{n-player}}</font><font face='$UniversCondC' size='14' color='#cccccc'>) </font><font face='$UniversCondC' size='15' color='#ffffff'><b>{{dmg-player}}</b></font><tab><font face='$UniversCondC' size='14' color='#999999'><b>{{dmg-kind}}</b></font><tab><font face='xvm' size='17' color='#ffffff'>{{vtype}}  </font><font face='$UniversCondC' size='14' color='#ffffff'>{{vehicle}} </font>{{dead}}</textformat>", "shadow": { "alpha": 100, "color": "0x000000", "angle": 90, "distance": 0, "size": 5, "strength": 250 } },										// Hit log (my hits calculator).
	"hotkeys": ${"hotkeys.xc":"hotkeys"},									// Special XVM hotkeys.
	"iconset": ${"iconset.xc":"iconset"},									// Icon sets.
	"login": ${"login.xc":"login"},											// ServerPing at Login
	"playersPanel": ${"playersPanel.xc":"playersPanel"},					// Parameters of the Players Panels ("ears").
	"squad": ${"squad.xc":"squad"},											// Parameters for squad window.
	"statisticForm": ${"statisticForm.xc":"statisticForm"},					// Parameters of the Battle Statistics form.
	"turretMarkers": ${"turretMarkers.xc":"turretMarkers"},					// {{turret}} marker display strings.
	"texts": ${"texts.xc":"texts"},											// Text substitutions.
	"userInfo": ${"userInfo.xc":"userInfo"},								// Parameters for userinfo window.
	"vehicleNames": ${"vehicleNames.xc":"vehicleNames"},					// Vehicle names mapping.
	"export": ${"export.xc":"export"},										// Export data
	"tooltips": ${"tooltips.xc":"tooltips"},								// Parameters for tooltips
	"sounds": ${"sounds.xc":"sounds"}										// Extra sounds settings
}
