﻿/**
 * Parameters of the Players Panels ("ears").
 */
{
	"playersPanel": {
		"iconAlpha": 100,																							// Opacity percentage of icons in the panels. 0 - transparent ... 100 - opaque.
		"removePanelsModeSwitcher": false,																			// true - Remove the Players Panel mode switcher (buttons for changing size) -> located here with RC3293
		"removeSelectedBackground": false,	   																		// true - disable background of the selected player.	
		"startMode": ${"various/PlayersPanelState.xc":"State"},														// Start panels mode. Possible values: "none", "short", "medium", "medium2", "large".
		"altMode": null,		
		"alpha": ${"various/PlayersPanelAlpha.xc":"alpha"},															// Opacity percentage of the panels. 0 - transparent, 100 - opaque.
		"clanIcon": { 																								// Display options for Team/Clan logos (see battleLoading.xc).
			"x": 82,
			"y": 0,
			"show": false,
			"h": 24,
			"w": 24,
			"xr": 82,
			"yr": 0,
			"alpha": 90
		},
		"none": {
			// false - disable (отключить)
			"enabled": ${"various/PlayersPanelNoneEnabled.xc":"enabled"},
			// Layout ("vertical" or "horizontal")
			"layout": "vertical", 
			// Extra fields.
			"extraFields": {
				"leftPanel": ${"various/PlayersPanelNoneExtraFieldsLeft.xc":"extraFieldsLeft"},
				"rightPanel": ${"various/PlayersPanelNoneExtraFieldsRight.xc":"extraFieldsRight"}
			}
			/** "extraFields": {
				"leftPanel": {
					"x": 0, // from left side of screen
					"y": 65,
					"width": 350,
					"height": 25,
					// Set of formats for left panel
					// Набор форматов для левой панели
					// example:
					// "format": [
					//   // simple format (just a text)
					//   "{{nick}}",
					//   "<img src='xvm://res/img/panel-bg-l-{{alive|dead}}.png' width='318' height='28'>",
					//   // extended format
					//   { "x": 20, "y": 10, "border": 1, "borderColor": "0xFFFFFF", "format": "{{nick}}" },
					//   { "x": 200, "src": "xvm://res/contour/{{vehiclename}}.png" }
					// ]
					//
					// types of formats available for extended format:
					//   - MovieClip (for loading image)
					//   - TextField (for writing text and creating rectangles)
					// if "src" field is present, MovieClip format will be used
					// if "src" field is absent, TextField format will be used
					//
					// fields available for extended format:
					//   "src" - resource path ("xvm://res/contour/{{vehiclename}}.png")
					//   "format" - text format (macros allowed)
					//
					// fields available for both MovieClip and TextField formats:
					//   "x" - x position (macros allowed)
					//   "y" - y position (macros allowed)
					//   "w" - width (macros allowed)
					//   "h" - height (macros allowed)
					//   "alpha" - transparency in percents (0..100) (macros allowed)
					//   "rotation" - rotation in degrees (0..360) (macros allowed)
					//   "align" - horizontal alignment ("left", "center", "right")
					//      for left panel default value is "left"
					//      for right panel default value is "right"
					//
					// fields available for both TextField format only:
					//   "valign" - vertical alignment ("top", "center", "bottom")
					//      default value is "top"
					//   "borderColor" - if set, draw border with specified color (macros allowed)
					//   "bgColor" - if set, draw background with specified color (macros allowed)
					//   "antiAliasType" - anti aliasing mode ("advanced" or "normal")
					//   "shadow": {
					//     "distance" (in pixels)
					//     "angle"    (0.0 .. 360.0)
					//     "color"    "0xXXXXXX"
					//     "alpha"    (0.0 .. 1.0)
					//     "blur"     (0.0 .. 255.0)
					//     "strength" (0.0 .. 255.0)
					//    }
					//
					// * all fields are optional
					//
					"formats": []
				},
				"rightPanel": {
					"x": 0, // from right side of screen
					"y": 65,
					"width": 350,
					"height": 25,
					// Set of formats for right panel (extended format supported, see above)
					"formats": []
				} */
		},
		"short": {
			"enabled": ${"various/PlayersPanelShortEnabled.xc":"enabled"},
			"removeSquadIcon": true,
			"width": ${"various/PlayersPanelShortWidth.xc":"width"},
			"fragsFormatLeft": ${"various/PlayersPanelShortFragsFormatLeft.xc":"fragsFormatLeft"},
			"fragsFormatRight": ${"various/PlayersPanelShortFragsFormatRight.xc":"fragsFormatRight"},
			"extraFieldsLeft": ${"various/PlayersPanelShortExtraFieldsLeft.xc":"extraFieldsLeft"},
			"extraFieldsRight": ${"various/PlayersPanelShortExtraFieldsRight.xc":"extraFieldsRight"}
		},
		"medium": {
			"width": 121,
			"formatLeft": "<font align='left'>{{name%.13s~..}}{{clan}}</font>",
			"formatRight": "<font align='right'>{{name%.13s~..}}{{clan}}</font>"
		},
		"medium2": {
			"width": 65,
			"formatLeft": "{{vehicle}}",
			"formatRight": "{{vehicle}}"
		},
		"large": {
			"width": 120,
			"nickFormatRight": "{{nick}} <img src='xvm://res/icons/flags/{{flag|default}}.png' width='16' height='13'> <font face='Lucida Console' size='12' color='{{c:xwn8}}' alpha='{{alive?#FF|#80}}'>{{xwn8}}</font>",
			"nickFormatLeft": "<font face='Lucida Console' size='12' color='{{c:xwn8}}' alpha='{{alive?#FF|#80}}'>{{xwn8}}</font> <img src='xvm://res/icons/flags/{{flag|default}}.png' width='16' height='13'> {{nick}}",
			"vehicleFormatRight": "<font align='right'>{{vehicle}}</font>",
			"vehicleFormatLeft": "<font align='left'>{{vehicle}}</font>"
		}
	}
}
