﻿/**
 * General parameters for the battle interface.
 */
{
	"battle": {
		"highlightVehicleIcon": false,														// false - disable highlighting of own vehicle icon and squad
		"mirroredVehicleIcons": false,														// false - Disable tank icon mirroring (good for alternative icons). True by default.
		"allowSpottedStatus": true,															// true - enable {{spotted}} macro in players panels and minimap. WARNING: performance expensive
		"allowHpInPanelsAndMinimap": ${"various/AllowHpInPanelsAndMinimap.xc":"enabled"},	// true - hp bars on playerspanel and minimap are possible
		"allowMarksOnGunInPanelsAndMinimap": false,											// false - enable {{marksOnGun}} macro in players panels and minimap. WARNING: performance expensive
		"showPostmortemTips": false,														// false - Disable pop-up panel at the bottom after death. True by default.
		"clockFormat": "H:N:S",																// Format of clock on the Debug Panel (near FPS). Format: Y:year, M:month, D:day, H:hour, N:minutes, S:seconds. "" - remove clock.
		"removePanelsModeSwitcher": false,													// true - Remove the Players Panel mode switcher (buttons for changing size) -> depricated after RC3293
		"clanIconsFolder": "clanicons/",													// Path to clan icons folder relative to res_mods/xvm/res.
																							// path to clan icons folder relative to res_mods/[GAME VERSION]/gui/flash
		"sixthSenseIcon": "xvm://res/SixthSense.png",										// Path to sixth sense icon ("" for original icon).
		"camera": ${"camera.xc":"camera"},													// Camera settings
		"minimapDeadSwitch": true,															// Switching between players on the minimap after death
		"elements": ${"elements.xc":"elements"}												// GUI elements settings (experts only)
			// "minimap": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },						// ​​Minikarte //461.9,478.5
			// "playerMessangersPanel": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },				// Chatnachrichten tot (wer wen getötet) //100,40
			// "leftPanel": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },						// Linkes Panel //628.95,751
			// "rightPanel": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },						// rechtes Panel //1372.45,751
			// "switcher_mc": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },						// ​​Schalttafel Panels //204,42.5
			// "fragCorrelationBar": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },				// bill Schlacht //413,45.5
			// "debugPanel": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },						// Ping-Lag FPS Panel //525.5,44.3
			// "battleTimer": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },					// die Schlacht //351,41.85
			// "damagePanel": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },						// ​​Schaden-Panel //233,231
			// "sixthSenseIndicator": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },				// sechster Sinn //373.35,394.95
			// "vehicleErrorsPanel": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },				// ​​Nachrichten in der Mitte des Bildschirms (über die Ausrüstung, der Kommandant) //100,40
			// "messenger": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },							// Nachrichten (Chat schreiben sie Spieler) //350.95,393
			// "damageInfoPanel": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },					// //1200.4,86.05
			// "timerBig": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },							// ​​Timer, um einen Kampf zu beginnen //1533.5,285.35
			// "deathZoneTimer": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },					//? //213.5,213.5
			// "overturnedTimer": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },					//? //213.5,213.5
			// "drownTimer": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },						//​​ Timer, wenn der Tank Ertrinken //225.5,230.5
			// "langBarPanel": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },						// //100,40
			// "consumablesPanel": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },					// Panel Verbrauchsmaterialien und Patrone //100,40
			// "vehicleMessagesPanel": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false },				//​​ Meldung in der unteren Mitte des Bildschirms (wer getroffen, verletzt dich). //100,40
			// "teamBasesPanel": { "x":null, "y":null, "w":null, "h":null, "ha":null, "va":null, "a":null, "debug":false }						// Streifen Capture Basen //618.5,54.3
																																			// x - X позиция
																																			// y - Y позиция
																																			// w - ширина
																																			// h - высота
																																			// a - Альфа
																																			// ha - горизонтальное выравнивание
																																			// va - выравнивание по вертикали
																																			// debug - false=скрыть границы, true=названия элементов и геометрии
																																			// x, y значения могут быть:
																																			// null - использовать по умолчанию значения клиента
																																			// -xxxx..xxxx
																																			// xx.xx%
																																			// ha значения могут быть:
																																			// null - использовать по умолчанию значения клиента
																																			// 1 - лево
																																			// 2 - право
																																			// va значения могут быть:
																																			// null - использовать по умолчанию значения клиента
																																			// 1 - вверх
																																			// 2 - низ
																																			// 389.5x0+413,45.5 => XxY+W,H
	},
	"fragCorrelation": {													// Frag counter panel at top side of battle windows interface.
		"hideTeamTextFields": ${"various/TeamTextFields.xc":"hide"}			// true - hide textfields "Allies | Enemies".
	},
	"expertPanel": {														// Ingame crits panel by "expert" skill.
		"delay": 15,														// Delay for panel disappear. Original value was 5.
		"scale": 150														// Panel scaling. Original value was 100
	}
}
