﻿/**
 * Parameters for hangar
 */
{
	"hangar": {
		"hideTutorial": false,				// true - Disable display of tutorial icon
		"widgetsEnabled": ${"various/widgets.xc":"widgetsEnabled"},			
		"xwnInCompany": true,				// true - Show XWN8 instead of XEFF in company windows
		"dossierEnabled": true,				// true - Enable dossier (extended user statistics)
		"enableEquipAutoReturn": false,	 	// true - Enable removable equipment auto return (Camouflage net, Stereoscope, Toolbox)	
		"masteryMarkInTankCarousel": true,	// true - Show mastery mark in tank carousel
		"masteryMarkInTechTree": true,		// true - Show mastery mark in tech tree
		"hidePricesInTechTree": false,		// true - Hide price button in tech tree
		"blockVehicleIfLowAmmo": true,	    // true - Make vehicle not ready for battle if less than 20% ammo loaded	
		"lowAmmoPercentage": 20,			// Below this percentage, ammo is low. (0 - 100)
		"enableCrewAutoReturn": true,		// true - enable crew auto return function
		"crewReturnByDefault": false,	 	// true - Return crew check box is selected by default	
		"enableGoldLocker": false,			// true - enable locker for gold
		"enableFreeXpLocker": false,		// true - enable locker for free XP
		"defaultBoughtForCredits": false,	// true - Use credits instead of gold as default currency for ammo and equipment
		"allowExchangeXPInTechTree": true,	// true - Allow to consider the exchange of experience with gold in tech tree
		"pingServers": {					// Ping servers
			"enabled": true,				// true - Enable display of ping to the servers
			"updateInterval": 10000,		// Update interval, in ms	
			"x": 5,						// Axis field coordinates
			"y": 53,						// Axis field coordinates
			"alpha": 80,					// Transparecy
			"delimiter": ": ",				// Server to responce time text delimiter
			"maxRows": 2,					// Maximum number of column rows
			"columnGap": 2,					// Gap between columns
			"hAlign": "left",			    // Horizontal alignment of field at screen ("left", "center", "right").
			"vAlign": "top",				// Vertical alignment of field at screen ("top", "center", "bottom").
			"showTitle": false,
			"leading": 0,					// Leading between lines.
			"topmost": true,				// true - place at top of other windows, false - at bottom.
			"fontStyle": {					// Text style
				"name": "$FieldFont",		// Font name
				"size": 12,
				"bold": false,
				"italic": false,
				"color": {					// Different colors depending on server responce time
					"great": "0x00FF00",	// FFCC66
					"good": "0x66FF7F",		// E5E4E1
					"poor": "0xFF9900",		// 96948F
					"bad": "0xFF1A00"		// D64D4D
				},
			// Mark current server in the list, possible options: "none" (don't mark), "normal", "bold", "italic", "underline"
			// Выделять текущий сервер в списке, доступные опции: "none" (не выделять), "normal", "bold", "italic", "underline"
			"markCurrentServer": "bold"				
			},
			"threshold": {					// Threshold values defining responce quality
				"great": 35,				// Below this value responce is great
				"good": 60,					// Below this value responce is good
				"poor": 100					// Below this value responce is poor
											// Values above define bad responce
			},
			"shadow": {
				"enabled": true,
				"color": "0x000000",
				"distance": 0,
				"angle": 0,
				"alpha": 70,
				"blur": 4,
				"strength": 2
			}
		},
		// Show/hide server info or change its parameters
		// Показать/спрятать информацию о сервере, или изменить ее параметры
		"serverInfo": {
			// Show server info in hangar.
			// Показывать информацию о сервере в ангаре.
			"enabled": true,
			// Transparency in percents [0..100].
			// Прозрачность в процентах [0..100].
			"alpha": 100,
			// Rotation in degrees [0..360].
			// Угол поворота в градусах [0..360].
			"rotation": 0
		},		
		// Parameters for tank carousel
		"carousel": ${"carousel.xc":"carousel"},
		// Parameters for hangar clock
		"clock": ${"clock.xc":"clock"}		
	}
}
