﻿/**
 * Options for alive with Alt markers.
 */
{
	"damageText": {							// Floating damage values.
		"visible": true,					// false - disable
		"x": 50,								// Axis field coordinates X
		"y": -50,							// Axis field coordinates Y
		"alpha": 60,						// Opacity (dynamic transparency allowed, see readme-en.txt).
		"color": "{{c:dmg}}",				// Color (dynamic colors allowed, see readme-en.txt).
		"font": {
			"name": "$FieldFont",			// Font name
			"size": 14,						// Font size
			"align": "center",				// Text alignment (left, center, right)
			"bold": false,					// True - bold
			"italic": false					// True - italic
		},
		"shadow": {
			"alpha": 70,					// Opacity
			"color": "0x000000",            //     цвет
			"angle": 90,					// Offset angle
			"distance": 0,					// Offset distance
			"size": 6,						//
			"strength": 200					// Intensity
		},
		"speed": 3,							// Rising speed of displayed damage (float up speed).
		"maxRange": 80,						// Maximimum distance of target for which damage rises.
		"damageMessage": "{{dmg}}",			// Text for normal damage (see description of macros in the readme-en.txt).
		"blowupMessage": "{{l10n:blownUp}}"	// Text for ammo rack explosion (see description of macros in the readme-en.txt).
	},
	"contourIconPool": {
		"x": 0,
		"y": -70,
		"color": null,
		"alpha": 100,
		"amount": 0
	},
	"vehicleIconPool": {
		"scaleX": 0,
		"x": 0,
		"y": -15,
		"color": null,
		"shadow": {
			"strength": 200,
			"color": "0x000000",
			"distance": 0,
			"size": 6,
			"alpha": 100,
			"angle": 45
		},
		"scaleY": 16,
		"maxScale": 100,
		"showSpeaker": false,
		"alpha": 80
	},
	"HelpSupportPool": {
		"name": "Help/Support Icon",
		"x": 0,
		"y": -95,
		"alpha": 100,
		"scaleY": 16,
		"maxScale": 15,
		"maxRange": 40,
		"scaleX": 0
	},
	"NicknamePool": {
		"name": "Nickname",
		"x": 0,
		"y": -45,
		"color": "{{c:xwn8}}",
		"format": "{{nick}}",
		"alpha": 100,
		"shadow": {
			"strength": 1320,
			"alpha": 50,
			"distance": 1,
			"size": 5,
			"color": "0x000000",
			"angle": 45
		},
		"font": {
			"bold": false,
			"name": "$FieldFont",
			"size": 11,
			"align": "center",
			"italic": false
		}
	},
	"TanknamePool": {
		"name": "Tankname",
		"x": 0,
		"y": -57,
		"color": null,
		"format": "{{vehicle}}",
		"alpha": 100,
		"shadow": {
			"strength": 1320,
			"color": "0x000000",
			"distance": 1,
			"size": 5,
			"alpha": 70,
			"angle": 45
		},
		"font": {
			"bold": true,
			"name": "$FieldFont",
			"size": 13,
			"align": "center",
			"italic": false
		}
	},
	"HP-HP": {
		"name": "HP/HP-Max",
		"x": 0,
		"y": -17,
		"color": "0xFFFFFF",
		// "format": "{{hp}} / {{hp-max}}",
		"format": "{{hp}} / {{hp-max}}",
		"alpha": 100,
		"shadow": {
			"strength": 200,
			"color": "0x000000",
			"distance": 1,
			"size": 18,
			"alpha": 60,
			"angle": 45
		},
		"font": {
			"bold": true,
			"name": "$FieldFont",
			"size": 12,
			"align": "center",
			"italic": false
		}
	},
	"HP-RatioPool": {
		"name": "HP-Ratio",
		"x": 0,
		"y": -100,
		"color": "0xFFFFFF",
		"format": "{{hp-ratio}}\u0025",
		"alpha": 70,
		"shadow": {
			"strength": 200,
			"color": "0x000000",
			"distance": 1,
			"size": 18,
			"alpha": 60,
			"angle": 45
		},
		"font": {
			"bold": true,
			"name": "$FieldFont",
			"size": 12,
			"align": "center",
			"italic": false
		}
	},
	"QuickColorMarkerPool": {
		"name": "QuickColorMarker",
		"visible": true,
		"y": 10, // 24
		// "color": null,
		"format": "\u005C",
		"alpha": 100,
		"shadow": {
			"strength": 200,
			"color": "0x000000",
			"distance": 1,
			"size": 12,
			"alpha": 100,
			"angle": 90
		},
		"font": {
			"bold": true,
			"name": "Webdings",
			"size": 24,
			"align": "center",
			"italic": false
		}
	},
	"TurretMarkerPool": {		
		"name": "Turret Marker stok/top",
		"x": 0,
		"y": -75,
		"color": null,
		"format": "{{turret}}",
		"alpha": 100,
		"shadow": {
			"strength": 200,
			"alpha": 100,
			"distance": 0,
			"size": 6,
			"color": "0x000000",
			"angle": 90
		},
		"font": {
			"bold": false,
			"name": "$FieldFont",
			"size": 13,
			"italic": false,
			"align": "center"
		}
	},
	"OverallRatingPool": {
		"name": "Overall rating for all appliances",
		"x": 0,
		"y": -30,
		"color": "{{c:xwn8}}",
		"format": "{{xwn8}} <font color='{{c:t-battles}}'>{{t-battles%4.0d|----}}</font> <font color='{{c:kb}}'>{{kb%2.0d~k|--k}}</font>",
		"alpha": 100,
		"shadow": {
			"strength": 1320,
			"alpha": 50,
			"distance": 1,
			"size": 5,
			"color": "0x000000",
			"angle": 45
		},
		"font": {
			"bold": false,
			"name": "$FieldFont",
			"size": 11,
			"align": "center",
			"italic": false
		}
	},
	"NumberFightsTankPool": {
		"name": "Number of fights on this Tank",
		"x": -32,
		"y": 2,
		"color": "{{c:t-battles}}",
		"format": "{{t-battles%4.0d|----}}",
		"alpha": 100,
		"shadow": {
			"strength": 1320,
			"alpha": 50,
			"distance": 1,
			"size": 5,
			"color": "0x000000",
			"angle": 45
		},
		"font": {
			"bold": false,
			"name": "$FieldFont",
			"size": 11,
			"align": "center",
			"italic": false
		}
	},
	"WinningPercentageTankPool": {
		"name": "Winning percentage for this Tank",
		"x": 32,
		"y": 2,
		"color": "{{c:t-winrate}}",
		"format": "{{t-winrate%2.0d~%|--%}}",
		"alpha": 100,
		"shadow": {
			"strength": 1320,
			"alpha": 50,
			"distance": 1,
			"size": 5,
			"color": "0x000000",
			"angle": 45
		},
		"font": {
			"bold": false,
			"name": "$FieldFont",
			"size": 11,
			"align": "center",
			"italic": false
		}
	},
	"clanIconPool": {
		"x": 0,
		"y": -90,
		"alpha": 100,
		"h": 24,
		"w": 24
	},
	"actionMarkerPool": {
		"x": 0,
		"y": -110,
		"alpha": 100
	},
	"levelIconPool": {
		"x": 0,
		"y": -84,
		"alpha": 100
	},
	"healthBarPool": {
		"x": -43,
		"y": -29,
		"color": null,
		"lcolor": null,
		"damage": {
			"alpha": 100,
			"color": "0xF5CA56",
			"fade": 2
		},
		"width": 85,
		"border": {
			"color": "0x000000",
			"alpha": 100,
			"size": 1
		},
		"alpha": 70,
		"height": 13,
		"fill": {
			"alpha": 100
		}
	},

	// ab hier der individuelle Teil
	"ally": {
		"contourIcon": {																	/// enemy - alive - extended
            "x": 5,
            "y": -83,
            "color": "0x7CCF05",
            "alpha": 70,
            "amount": 0,
			"visible": true
		},
		"vehicleIcon": {																	/// ally - alive - extended
			"$ref": { "path": "vehicleIconPool"},
			"visible": true
		},
		"textFields": [
			{
				"$ref": { "path": "TanknamePool"},				/// ally - alive - normal
				"visible": true
			},
			{
				"$ref": { "path": "NicknamePool"},				/// ally - alive - normal
				"visible": true
			},
            {
				"$ref": { "path": "HelpSupportPool"},										/// ally - alive - extended
				"visible": false,
				"format": "<img src='xvm://res/icons/help/s{{c:hp-ratio}}.png' width='36' height='36'>"
			},            
			{
				"$ref": { "path": "HP-HP"},											/// ally - alive - extended
				"visible": true
			},
			{
				"$ref": { "path": "OverallRatingPool"},										/// ally - alive - extended
				"visible": true
			},
			{
				"$ref": { "path": "NumberFightsTankPool"},									/// ally - alive - extended
				"visible": false
			},
			{		
				"name": "QuickColorMarker",						/// ally - alive - normal
				"visible": true,
				"y": -47.0, // 24
				// "color": null,
				"format": "_________",
				"alpha": 100,
				"shadow": {
					"strength": 200,
					"color": "0x000000",
					"distance": 1,
					"size": 4,
					"alpha": 100,
					"angle": 90
				},
				"font": {
					"bold": false,
					"name": "Arial",
					"size": 16.5,
					"align": "center",
					"italic": false
				},
				"visible": true,
				"color": "{{c:xwn8}}",
                "x": 0
			},			
			{
				"$ref": { "path": "WinningPercentageTankPool"},								/// ally - alive - extended
				"visible": false
			}
		],
		"clanIcon": {																		/// ally - alive - extended
			"$ref": { "path": "clanIconPool"},
			"visible": false
		},
		"actionMarker": {																	/// ally - alive - extended
			"$ref": { "path": "actionMarkerPool"},
			"visible": true
		},
		"levelIcon": {																		/// ally - alive - extended
			"$ref": { "path": "levelIconPool"},
			"visible": true
		},
		"healthBar": {																		/// ally - alive - extended
			"$ref": { "path": "healthBarPool"},
			"visible": true
		},
		"damageText": {																		/// ally - alive - extended
			"$ref": { "path":"damageText" },
			"damageMessage": ${ "various/DamageBlowup.xc":"ally.damageMessage" },
			"blowupMessage": ${ "various/DamageBlowup.xc":"ally.blowupMessage" }
		},
		"damageTextPlayer": {																/// ally - alive - extended
			"$ref": { "path":"damageText" },
			"damageMessage": ${ "various/DamageBlowup.xc":"ally.damageMessage" },
			"blowupMessage": ${ "various/DamageBlowup.xc":"ally.blowupMessage" },
			"color": "0xFFDD33"
		},
		"damageTextSquadman": {																/// ally - alive - extended
			"$ref": { "path":"damageText" },
			"damageMessage": ${ "various/DamageBlowup.xc":"ally.damageMessage" },
			"blowupMessage": ${ "various/DamageBlowup.xc":"ally.blowupMessage" }, 
			"color": "0x9900FF"
		}
	},
	"enemy": {
		"contourIcon": {																	/// enemy - alive - extended
            "x": 5,
            "y": -83,
            "color": "0xC60903",
            "alpha": 70,
            "amount": 0,
			"visible": true
		},
		"vehicleIcon": {																	/// enemy - alive - extended
			"$ref": { "path": "vehicleIconPool"},
			"visible": true
		},
		"textFields": [
			{
				"$ref": { "path": "TanknamePool"},				/// ally - alive - normal
				"visible": true
			},
			{
				"$ref": { "path": "NicknamePool"},				/// ally - alive - normal
				"visible": true
			},
			{
				"$ref": { "path": "HelpSupportPool"},										/// enemy - alive - extended
				"visible": false,
				"format": "<img src='xvm://res/icons/help/f{{c:hp-ratio}}.png' width='36' height='36'>"
			},
			{
				"$ref": { "path": "HP-HP"},				
				"visible": true
			},
            {
				"$ref": { "path": "OverallRatingPool"},										/// enemy - alive - extended
				"visible": true
			},
			{		
				"name": "QuickColorMarker",						/// ally - alive - normal
				// "visible": true,
				"y": -47.0, // 24
				// "color": null,
				"format": "_________",
				"alpha": 100,
				"shadow": {
					"strength": 200,
					"color": "0x000000",
					"distance": 1,
					"size": 4,
					"alpha": 100,
					"angle": 90
				},
				"font": {
					"bold": false,
					"name": "Arial",
					"size": 16.5,
					"align": "center",
					"italic": false
				},
				"visible": true,
				"color": "{{c:xwn8}}",
                "x": 0
			},			
			{
				"$ref": { "path": "NumberFightsTankPool"},									/// enemy - alive - extended
				"visible": false
			},
			{
				"$ref": { "path": "WinningPercentageTankPool"},								/// enemy - alive - extended
				"visible": false
			}
		],
		"clanIcon": {																		/// enemy - alive - extended
			"$ref": { "path": "clanIconPool"},
			"visible": false
		},
		"actionMarker": {																	/// enemy - alive - extended
			"$ref": { "path": "actionMarkerPool"},
			"visible": true
		},
		"levelIcon": {																		/// enemy - alive - extended
			"$ref": { "path": "levelIconPool"},
			"visible": true
		},
		"healthBar": {																		/// enemy - alive - extended
			"$ref": { "path": "healthBarPool"},
			"visible": true
		},
		"damageText": {																		/// enemy - alive - extended
			"$ref": { "path":"damageText" },
			"damageMessage": ${ "various/DamageBlowup.xc":"enemy.damageMessage" },
			"blowupMessage": ${ "various/DamageBlowup.xc":"enemy.blowupMessage" }
		},
		"damageTextPlayer": {																/// enemy - alive - extended
			"$ref": { "path":"damageText" },
			"damageMessage": ${ "various/DamageBlowup.xc":"enemy.damageMessage" },
			"blowupMessage": ${ "various/DamageBlowup.xc":"enemy.blowupMessage" },
			"color": "0xFFDD33"
		},
		"damageTextSquadman": {																/// enemy - alive - extended
			"$ref": { "path":"damageText" },
			"damageMessage": ${ "various/DamageBlowup.xc":"enemy.damageMessage" },
			"blowupMessage": ${ "various/DamageBlowup.xc":"enemy.blowupMessage" },
			"color": "0x9900FF"
		}
	}
}