﻿/**
 * Options for alive with Alt markers.
 */
{
	"damageText": {							// Floating damage values.
		"visible": true,					// false - disable
		"x": -50,								// Axis field coordinates X
		"y": -70,							// Axis field coordinates Y
		"alpha": 80,						// Opacity (dynamic transparency allowed, see readme-en.txt).
		"color": "{{c:dmg}}",				// Color (dynamic colors allowed, see readme-en.txt).
		"font": {
			"name": "$FieldFont",			// Font name
			"size": 18,						// Font size
			"align": "center",				// Text alignment (left, center, right)
			"bold": false,					// True - bold
			"italic": false					// True - italic
		},
		"shadow": {
			"alpha": 60,					// Opacity
			"color": "0x000000",            //     цвет
			"angle": 90,					// Offset angle
			"distance": 0,					// Offset distance
			"size": 6,						//
			"strength": 200					// Intensity
		},
		"speed": 3,							// Rising speed of displayed damage (float up speed).
		"maxRange": 80,						// Maximimum distance of target for which damage rises.
		"damageMessage": "{{dmg}}",			// Text for normal damage (see description of macros in the readme-en.txt).
		"blowupMessage": "{{l10n:blownUp}}"	// Text for ammo rack explosion (see description of macros in the readme-en.txt).
	},
	"contourIconPool": {
		"x": 6,
		"y": -75,
		"color": null,
		"alpha": 100,
		"amount": 0
	},
	"vehicleIconPool": {
		"scaleX": 0,
		"x": 0,
		"y": -90,
		"color": null,
		"shadow": {
			"strength": 200,
			"color": "0x000000",
			"distance": 0,
			"size": 6,
			"alpha": 60,
			"angle": 45
		},
		"scaleY": 16,
		"maxScale": 100,
		"showSpeaker": false,
		"alpha": 65
	},
	"HelpSupportPool": {
		"name": "Help/Support Icon",
		"x": 0,
		"y": -18,
		"alpha": 100,
		"scaleY": 16,
		"maxScale": 15,
		"maxRange": 40,
		"scaleX": 0
	},
	"NicknamePool": {
		"name": "Nickname",
		"x": 0,
		"y": -28,
		"color": "{{c:xwn8}}",
		"format": "{{nick}}",
		"alpha": 70,
		"shadow": {
			"strength": 1320,
			"alpha": 70,
			"distance": 1,
			"size": 5,
			"color": "0x000000",
			"angle": 45
		},
		"font": {
			"bold": false,
			"name": "$FieldFont",
			"size": 12,
			"align": "center",
			"italic": false
		}
	},
	"TanknamePool": {
		"name": "Tankname",
		"x": 0,
		"y": -40,
		"color": null,
		"format": "{{vehicle}}",
		"alpha": 80,
		"shadow": {
			"strength": 1320,
			"color": "0x000000",
			"distance": 1,
			"size": 5,
			"alpha": 50,
			"angle": 45
		},
		"font": {
			"bold": true,
			"name": "$FieldFont",
			"size": 12,
			"align": "center",
			"italic": false
		}
	},
	"HP-HP": {
		"name": "HP/HP-Max",
		"x": 0,
		"y": -10,
		"color": "0xEC8D38",
		// "format": "{{hp}} / {{hp-max}}",
		"format": "{{hp}} / {{hp-max}}",
		"alpha": 70,
		"shadow": {
			"strength": 200,
			"color": "0x000000",
			"distance": 1,
			"size": 18,
			"alpha": 70,
			"angle": 45
		},
		"font": {
			"bold": true,
			"name": "$FieldFont",
			"size": 12,
			"align": "center",
			"italic": false
		}
	},
	"HP-RatioPool": {
		"name": "HP-Ratio",
		"x": 0,
		"y": -32,
		"color": "0xFFFFFF",
		"format": "{{hp-ratio}}\u0025",
		"alpha": 100,
		"shadow": {
			"strength": 200,
			"color": "0x000000",
			"distance": 1,
			"size": 6,
			"alpha": 60,
			"angle": 45
		},
		"font": {
			"bold": false,
			"name": "$FieldFont",
			"size": 11,
			"align": "center",
			"italic": false
		}
	},
	"QuickColorMarkerPool": {
		"name": "QuickColorMarker",
		"visible": true,
		"y": -31, // 24
		// "color": null,
		"format": "\u005C",
		"alpha": 100,
		"shadow": {
			"strength": 200,
			"color": "0x000000",
			"distance": 1,
			"size": 2,
			"alpha": 100,
			"angle": 90
		},
		"font": {
			"bold": true,
			"name": "Webdings",
			"size": 9,
			"align": "center",
			"italic": false
		}
	},
	"TurretMarkerPool": {		
		"name": "Turret Marker stok/top",
		"x": 0,
		"y": -75,
		"color": null,
		"format": "{{turret}}",
		"alpha": 100,
		"shadow": {
			"strength": 200,
			"alpha": 100,
			"distance": 0,
			"size": 6,
			"color": "0x000000",
			"angle": 90
		},
		"font": {
			"bold": false,
			"name": "$FieldFont",
			"size": 13,
			"italic": false,
			"align": "center"
		}
	},
	"OverallRatingPool": {
		"name": "Overall rating for all appliances",
		"x": 0,
		"y": -62,
		"color": "{{c:kb}}",
		"format": "{{kb%2.0d~k|--k}} <font color='{{c:r}}'>{{r%4.0d|----}}</font> <font color='{{c:winrate}}'>{{winrate%2.0d~%|--%}}</font>",
		"alpha": 100,
		"shadow": {
			"strength": 1320,
			"alpha": 50,
			"distance": 1,
			"size": 5,
			"color": "0x000000",
			"angle": 45
		},
		"font": {
			"bold": false,
			"name": "$FieldFont",
			"size": 11,
			"align": "center",
			"italic": false
		}
	},
	"NumberFightsTankPool": {
		"name": "Number of fights on this Tank",
		"x": -32,
		"y": -10,
		"color": "{{c:t-battles}}",
		"format": "{{t-battles%4.0d|----}}",
		"alpha": 100,
		"shadow": {
			"strength": 1320,
			"alpha": 50,
			"distance": 1,
			"size": 5,
			"color": "0x000000",
			"angle": 45
		},
		"font": {
			"bold": false,
			"name": "$FieldFont",
			"size": 11,
			"align": "center",
			"italic": false
		}
	},
	"WinningPercentageTankPool": {
		"name": "Winning percentage for this Tank",
		"x": 32,
		"y": -10,
		"color": "{{c:t-winrate}}",
		"format": "{{t-winrate%2.0d~%|--%}}",
		"alpha": 100,
		"shadow": {
			"strength": 1320,
			"alpha": 50,
			"distance": 1,
			"size": 5,
			"color": "0x000000",
			"angle": 45
		},
		"font": {
			"bold": false,
			"name": "$FieldFont",
			"size": 11,
			"align": "center",
			"italic": false
		}
	},
	"clanIconPool": {
		"x": 0,
		"y": -90,
		"alpha": 100,
		"h": 24,
		"w": 24
	},
	"actionMarkerPool": {
		"x": 0,
		"y": -115,
		"alpha": 100
	},
	"levelIconPool": {
		"x": 0,
		"y": -70,
		"alpha": 100
	},
	"healthBarPool": {
		"x": -47,
		"y": -50,
		"color": null,
		"lcolor": null,
		"damage": {
			"alpha": 80,
			"color": "0xFFFFFF",
			"fade": 2
		},
		"width": 90,
		"border": {
			"color": "0x000000",
			"alpha": 80,
			"size": 2
		},
		"alpha": 100,
		"height": 2,
		"fill": {
			"alpha": 80
		}
	},
	"ally": {
		"contourIcon": {																	/// ally - dead - normal
			"$ref": { "path": "contourIconPool"},
			"visible": false
		},
		"vehicleIcon": {																	/// ally - dead - normal
			"$ref": { "path": "vehicleIconPool"},
			"visible": true
		},
		"textFields": [
			{
				"$ref": { "path": "TanknamePool"},				/// ally - alive - normal
				"visible": true
			},
			{
				"$ref": { "path": "NicknamePool"},				/// ally - alive - normal
				"visible": true
			},
			{
				"$ref": { "path": "HP-HP"},				
				"visible": true
			}			
            ],																	/// ally - dead - normal
		"clanIcon": {																		/// ally - dead - normal
			"$ref": { "path": "clanIconPool"},
			"visible": false
		},
		"actionMarker": {																	/// ally - dead - normal
			"$ref": { "path": "actionMarkerPool"},
			"visible": true
		},
		"levelIcon": {																		/// ally - dead - normal
			"$ref": { "path": "levelIconPool"},
			"visible": true
		},
		"healthBar": {																		/// ally - dead - normal
			"$ref": { "path": "healthBarPool"},
			"visible": false
		},
		"damageText": {																		/// ally - dead - normal
			"$ref": { "path":"damageText" },
			"damageMessage": ${ "various/DamageBlowup.xc":"ally.deadMessage" },
			"blowupMessage": ${ "various/DamageBlowup.xc":"ally.blowupMessage" }
		},
		"damageTextPlayer": {																/// ally - dead - normal
			"$ref": { "path":"damageText" },
			"damageMessage": ${ "various/DamageBlowup.xc":"ally.deadMessage" },
			"blowupMessage": ${ "various/DamageBlowup.xc":"ally.blowupMessage" },
			"color": "0xFFDD33"
		},
		"damageTextSquadman": {																/// ally - dead - normal
			"$ref": { "path":"damageText" },
			"damageMessage": ${ "various/DamageBlowup.xc":"ally.deadMessage" },
			"blowupMessage": ${ "various/DamageBlowup.xc":"ally.blowupMessage" },
			"color": "0x9900FF"
		}
	},
	"enemy": {
		"contourIcon": {																	/// enemy - dead - normal
			"$ref": { "path": "contourIconPool"},
			"visible": false
		},
		"vehicleIcon": {																	/// enemy - dead - normal
			"$ref": { "path": "vehicleIconPool"},
			"visible": true
		},
		"textFields": [
			{
				"$ref": { "path": "TanknamePool"},				/// ally - alive - normal
				"visible": true
			},
			{
				"$ref": { "path": "NicknamePool"},				/// ally - alive - normal
				"visible": true
			},
			{
				"$ref": { "path": "HP-HP"},				
				"visible": true
			}
            ],																	/// enemy - dead - normal
		"clanIcon": {																		/// enemy - dead - normal
			"$ref": { "path": "clanIconPool"},
			"visible": false
		},
		"actionMarker": {																	/// enemy - dead - normal
			"$ref": { "path": "actionMarkerPool"},
			"visible": true
		},
		"levelIcon": {																		/// enemy - dead - normal
			"$ref": { "path": "levelIconPool"},
			"visible": true
		},
		"healthBar": {																		/// enemy - dead - normal
			"$ref": { "path": "healthBarPool"},
			"visible": false
		},
		"damageText": {																		/// enemy - dead - normal
			"$ref": { "path":"damageText" },
			"damageMessage": ${ "various/DamageBlowup.xc":"enemy.deadMessage" },
			"blowupMessage": ${ "various/DamageBlowup.xc":"enemy.blowupMessage" }
		},
		"damageTextPlayer": {																/// enemy - dead - normal
			"$ref": { "path":"damageText" },
			"damageMessage": ${ "various/DamageBlowup.xc":"enemy.deadMessage" },
			"blowupMessage": ${ "various/DamageBlowup.xc":"enemy.blowupMessage" },
			"color": "0xFFDD33"
		},
		"damageTextSquadman": {																/// enemy - dead - normal
			"$ref": { "path":"damageText" },
			"damageMessage": ${ "various/DamageBlowup.xc":"enemy.deadMessage" },
			"blowupMessage": ${ "various/DamageBlowup.xc":"enemy.blowupMessage" },
			"color": "0x9900FF"
		}
	}
}