﻿/**
 * Minimap circles. Only real map meters. Only for own unit.
 */
{
	// Artillery gun fire range circle
	"ArtyRangeCircle": {
		"enabled": true,
		"thickness": 1,
		"alpha": 60,
		"color": "0xEE4444"
	},
	"TankSpotCircle": {
		"enabled": true,
		"thickness": 0.3,
		"alpha": 65,
		"color": "0x00BBFF"
	},
	"circles": {
        "enabled": true,
        // TODO: better description and translation
        // View distance
        //   "enabled": false
        //   "distance"
        //   "scale" - Zoom range (distance factor) (no option required)
        //   "thickness"
        //   "alpha"
        //   "color"
        //   "state" - condition of the tank: 1-Cost, 2-moves (an optional parameter)
        // Доступные значения расстояния:
        //   N - number of meters, static circle drawn
        //   "blindarea" - real limit to the blind zone of the tank (50 <= X <= 445)
        //   "dynamic"   - the actual range of the review, taking into account the tank stands / moves
        //   "standing"  - real sight range tank standing
        //   "motion"    - the actual range of the review of the tank in motion
        // Источник:
        //   http://www.koreanrandom.com/forum/topic/15467-/page-5#entry187139
        //   http://www.koreanrandom.com/forum/topic/15467-/page-4#entry186794
		"view": [
            { "enabled": true, "distance": 565, "thickness": 0.75, "alpha": 60, "color": "0xFFFFFF" },
			{ "enabled": true, "distance": 445, "thickness": 0.75, "alpha": 60, "color": "0xF7921C" }, // 445 max disclosure distance
            { "enabled": true, "distance":  50, "thickness": 0.5, "alpha":  40, "color": "0xFFFFFF" },
			{ "enabled": true, "distance":  10, "thickness":  17, "alpha":  20, "color": "0xFFFFFF" },
			{ "enabled": true, "distance":  "dynamic", "thickness":  0.75, "alpha":  60, "color": "0x00BBFF" }
			
            /*
			// Extended model (5 circles), for experienced players
			{ "enabled": true, "distance": 50, "scale": 1, "thickness": 0.75, "alpha": 60, "color": "0xFFFFFF" },
            { "enabled": true, "distance": 445, "scale": 1, "thickness": 1.1, "alpha": 45, "color": "0xFFCC66" },
            { "enabled": true, "distance": "standing", "scale": 1, "thickness": 1.0, "alpha": 60, "color": "0xFF0000" },
            { "enabled": true, "distance": "motion", "scale": 1, "thickness": 1.0, "alpha": 60, "color": "0x0000FF" },
            { "enabled": true, "distance": "dynamic", "scale": 1, "thickness": 1.0, "alpha": 60, "color": "0x3EB5F1" }*/
        ],
		// Maximum range of fire for artillery
		// Artillery gun fire range may differ depending on vehicle angle relative to ground
		// and vehicle height positioning relative to target. These factors are not considered.
		// See pics at http://goo.gl/ZqlPa
		"artillery": { "$ref": { "path": "ArtyRangeCircle" } },
		"shell":     { "$ref": { "path": "ArtyRangeCircle" } },													// Maximum range of shooting for machine gun
		/* "view": { 																							// View distance (dynamically changes when switching stereoscope)
			"enabled": true,
			"active":   { "$ref": { "path": "TankSpotCircle" } },												// Active circle - current view range
			"passive": { "alpha": 0, "color": "0x8888FF", "thickness": 0.5 }									// Passive circle - view range with or without binoculars (depending from current state)
        },*/
		// Special circles dependent on vehicle type.
        // Many configuration lines for the same vehicle make many circles.
        // See other vehicle types at (replace : symbol with -):
        // http://code.google.com/p/wot-xvm/source/browse/trunk/src/xpm/xvmstat/vehinfo_short.py
        "special": [
            // Copy lines in case many special circles wanted for one type.
            // Artillery range circle by type. Top gun range is used by default.
			// level 2
		//	{ "su_18": 						{ "$ref": { "path": "ArtyRangeCircle" }, "distance": 500 } },
        
		//	{ "t62a":						{ "$ref": { "path": "TankSpotCircle" }, "distance": 400 } }
		]
    }
}